### Hierarchy

- unknown
  - GetAddressBalanceReply

## Index

### Constructors

- constructor

### Methods

- clearAddressBalanceInfo
- getAddressBalanceInfo
- hasAddressBalanceInfo
- serializeBinary
- setAddressBalanceInfo
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetAddressBalanceReply(): GetAddressBalanceReply

- Inherited from jspb.Message.constructor

  #### Returns GetAddressBalanceReply

## Methods

### clearAddressBalanceInfo

- clearAddressBalanceInfo(): GetAddressBalanceReply

- - Defined in src/protobuf/grpc_pb.d.ts:3337

  #### Returns GetAddressBalanceReply

### getAddressBalanceInfo

- getAddressBalanceInfo(): undefined | AddressBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3334

  #### Returns undefined | AddressBalanceInfo

### hasAddressBalanceInfo

- hasAddressBalanceInfo(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:3336

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3339

  #### Returns Uint8Array

### setAddressBalanceInfo

- setAddressBalanceInfo(value?: AddressBalanceInfo ): GetAddressBalanceReply

- - Defined in src/protobuf/grpc_pb.d.ts:3335

  #### Parameters

  - ##### Optional value: AddressBalanceInfo

  #### Returns GetAddressBalanceReply

### toObject

- toObject(includeInstance?: boolean): GetAddressBalanceReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3340

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetAddressBalanceReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetAddressBalanceReply

- - Defined in src/protobuf/grpc_pb.d.ts:3343

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetAddressBalanceReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetAddressBalanceReply, reader: BinaryReader): GetAddressBalanceReply

- - Defined in src/protobuf/grpc_pb.d.ts:3344

  #### Parameters

  - ##### message: GetAddressBalanceReply

  - ##### reader: BinaryReader

  #### Returns GetAddressBalanceReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetAddressBalanceReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3342

  #### Parameters

  - ##### message: GetAddressBalanceReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetAddressBalanceReply ): GetAddressBalanceReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3341

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetAddressBalanceReply

  #### Returns GetAddressBalanceReply . AsObject

Generated using TypeDoc